Debian セキュリティ勧告

DSA-1440-1 inotify-tools -- バッファオーバフロー

報告日時:
2007-12-28
影響を受けるパッケージ:
inotify-tools
危険性:
あり
参考セキュリティデータベース:
Debian バグ追跡システム: バグ 443913.
Mitre の CVE 辞書: CVE-2007-5037.
詳細:

inotify のコマンドラインインターフェース inotify-tools のファイル名処理に バッファオーバフローが発見されました。この欠陥を攻撃することにより、任意 コード実行の恐れがあります。この欠陥は、内部ライブラリのみに影響があり、 Debian に収録のフロントエンドツールのいずれにも影響はありません。

旧安定版 (sarge) には inotify-tools パッケージは収録されていません。

安定版 (stable) ディストリビューション (etch) では、この問題はバージョン 3.3-2 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、この問題はバージョ ン 3.11-1 で修正されています。

直ぐに inotify-tools パッケージをアップグレードすることを勧めます。

修正:

Debian GNU/Linux 4.0 (stable)

ソース:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2.dsc
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3.orig.tar.gz
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2.diff.gz
Alpha:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/i/inotify-tools/inotify-tools_3.3-2_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。